/* XVCL - the xview classes

   XVCL might one day be a hopefully useful class library
   for xview programming in C++. Just now, it slowly grows
   as I write programs, so many many things are missing.

   Copyright (C) 1998 Frank Rustemeyer.
   This file is part of the Emperor package.

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston,
   MA 02111-1307, USA.

   If you have changes and you want them to be included in a future
   release of Emperor, please e-mail them to mambres@mud.tap.de.

   This file declares some classes for handling pixmaps.

   98/11/30, Frank Rustemeyer <mambres@mud.tap.de>: Released.
*/

#ifndef _XPMH
#define _XPMH

#include <X11/Xlib.h>
#include <X11/xpm.h>
#include <X11/Xutil.h>

class pixmap
{   public:
         pixmap(Display *disp, char **data);
         pixmap(Display *disp, char *file);
         ~pixmap(void);
         void display(Display *disp, Drawable wnd, int x, int y, 
                      int width, int height, int to_x, int to_y);
         Pixmap query_pixmap(void) { return pix; }
    private:
         Display *mydisp;
         Pixmap pix, msk;
         XpmAttributes attr;
         XGCValues gcval;
         GC gc;
    };

class pixmask
{   public:
         pixmask(Display *disp, char **data);
         ~pixmask(void);
         void display(Display *disp, Drawable wnd, int x, int y,
                      int width, int height, int to_x, int to_y);
    private:
         Display *mydisp;
         Pixmap pix, msk;
         XpmAttributes attr;
         XGCValues gcval;
         GC gc;
         GC maskgc;
    };

#endif
    
